Index: branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/domain.F90
===================================================================
--- branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/domain.F90	(revision 5273)
+++ branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/domain.F90	(revision 5274)
@@ -31,5 +31,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: domain.F90 4990 2014-12-15 16:42:49Z timgraham $
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/dommsk.F90
===================================================================
--- branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/dommsk.F90	(revision 5273)
+++ branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/dommsk.F90	(revision 5274)
@@ -28,5 +28,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: dommsk.F90 4990 2014-12-15 16:42:49Z timgraham $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/domrea.F90
===================================================================
--- branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 5273)
+++ branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 5274)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: domrea.F90 4990 2014-12-15 16:42:49Z timgraham $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90
===================================================================
--- branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90	(revision 5273)
+++ branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90	(revision 5274)
@@ -96,5 +96,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: dtadyn.F90 4990 2014-12-15 16:42:49Z timgraham $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/istate.F90
===================================================================
--- branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/istate.F90	(revision 5273)
+++ branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/istate.F90	(revision 5274)
@@ -23,5 +23,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: istate.F90 4996 2014-12-22 11:56:38Z cetlod $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!---------------------------------------------------------------------
Index: branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/stpctl.F90
===================================================================
--- branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/stpctl.F90	(revision 5273)
+++ branches/UKMO/dev_r5107_test_branch/NEMOGCM/NEMO/OFF_SRC/stpctl.F90	(revision 5274)
@@ -27,5 +27,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
-   !! $Id$
+   !! $Id: stpctl.F90 2528 2010-12-27 17:33:53Z rblod $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------