Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5275)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5276)
@@ -8,41 +8,39 @@
 # Super-computers configuration
 if   [ $USER == ${IDRIS_ID} ]; then 
-    ID=${IDRIS_ID}      ; ARCH='X64_ADA'
-    JOB_SUB=llsubmit    ; JOB_VIEW=''                  ; JOB_DEL=llcancel                          ; JOB_LIST=llq
-    DIR_WORK=$WORKDIR   ; DIR_SCRA=$TMPDIR/trusting    ; DIR_STOR=$HOME/Workspace/NEMO/trusting_sav
+    ARCH=X64_ADA_trust
+    # Job commands : LoadLeveler
+    JOB_SUB=llsubmit; JOB_LIST=llq    ; JOB_VIEW='llq -xl'; JOB_DEL=llcancel                          
+    # Directories $HOME $WORKDIR $COMMONDIR $TMPDIR
+    DIR_WORK=$WORKDIR   ; DIR_SCRA=$TMPDIR/trusting    ; DIR_STOR=trusting_sav
 elif [ $USER == ${TGCC_ID}  ]; then
-    ID=${TGCC_ID}       ; ARCH='X64_CURIE'
-    JOB_SUB=ccc_msub    ; JOB_VIEW=ccc_macct           ; JOB_DEL=ccc_mdel                          ; JOB_LIST=ccc_mpp
+    ARCH=X64_CURIE_trust
+    # Job commands : ccc_*
+    JOB_SUB=ccc_msub; JOB_LIST=ccc_mpp; JOB_VIEW=ccc_macct; JOB_DEL=ccc_mdel                          
+    # Directories $HOME $WORKDIR            $SCRATCHDIR $STOREDIR
     DIR_WORK=$CCCWORKDIR; DIR_SCRA=$SCRATCHDIR/trusting; DIR_STOR=$CCCSTOREDIR/trusting_sav
 else
-    ID=''           	; ARCH=''
-    JOB_SUB=''      	; JOB_VIEW=''                  ; JOB_DEL=''
+    ARCH=''
+    JOB_SUB=''      ; JOB_LIST=''     ; JOB_VIEW=''       ; JOB_DEL=''                                
     DIR_WORK=''     	; DIR_SCRA=''                  ; DIR_STOR=''
 fi
 
-export ID       ARCH
-export JOB_SUB  JOB_VIEW JOB_DEL  JOB_LIST
+export ARCH
+export JOB_SUB  JOB_LIST JOB_VIEW JOB_DEL 
 export DIR_WORK DIR_SCRA DIR_STOR 
 
-
-# NEMO compilation config
-NEMO_BRAN=trunk; NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM # dev_r5092_CNRS_SETTE dev_v3_4_STABLE_2012
-export NEMO_HOME NEMO_BRAN
+# NEMO directories
+NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
+export NEMO_HOME
 NEMO_ARCH=${NEMO_HOME}/ARCH        ; NEMO_CONF=${NEMO_HOME}/CONFIG         ; NEMO_ENGI=${NEMO_HOME}/NEMO
 NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm; NEMO_IPSL=${NEMO_HOME}/EXTERNAL/IOIPSL; NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE
 export NEMO_ARCH NEMO_CONF NEMO_EFCM NEMO_ENGI NEMO_IPSL NEMO_TCMP
-
-
-# NEMO inputs config
+# NEMO inputs
 export NEMO_FORC=${DIR_WORK}/NEMO/FORC FORC_TAR=ORCA2_LIM_nemo_v3.6.tar
-
 
 # External softs directories
 export DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0 DIR_OASI=${DIR_WORK}/OASIS
 
-
-# Environment architecture
-. ${DIR_XIOS}/arch/arch-${ARCH}_trust.env
-
+# Environment architecture (XIOS for compliance)
+. ${DIR_XIOS}/arch/arch-${ARCH}.env
 
 # Comparatives directories localization
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5275)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5276)
@@ -2,15 +2,25 @@
 
 
-PUBLISH=0; DEBUG=0; status='OK'
+# Set defaults
+DEBUG=0; PUBLISH=0; status='OK'
+NEMO_BRAN=trunk; # dev_r5092_CNRS_SETTE dev_v3_4_STABLE_2012
+compiler=ifort   # gfortran f95 f90 pgfortran pgf95 pgf90 mpifort mpif90
+mpi=bullxmpi     # openmpi mpich intel mpxlf
+
 
 while [ $# -ne 0 ]; do
     case $1 in
-        -d|--debug     ) set -vx; DEBUG=1     ; shift;;
-        -p|--publish   ) PUBLISH=1            ; shift;;
-        -h|--help|-help) cat trusting_help.txt; exit ;;
-	*)                                      break;;
+        -b|--branch    ) NEMO_BRAN=$2         ; shift 2;;
+        -d|--debug     ) set -vx; DEBUG=1     ; shift  ;;
+        -h|--help|-help) cat trusting_help.txt; exit   ;;
+        -m|--machine   ) ARCH=$2              ; shift 2;;
+        -n|--newconf   ) CONF_TEST=$2         ; shift 2;;
+        -r|--refconf   ) CONF_REFE=$2         ; shift 2;;
+        -p|--publish   ) PUBLISH=1            ; shift  ;;
+	*)                                      break  ;;
     esac
 done
-export PUBLISH DEBUG
+export CONF_REFE CONF_TEST DEBUG NEMO_BRAN PUBLISH
+
 [ $# -ne 1 ] && { ./trusting.sh -h && exit; }
 # suspend debug mode (too verbose)
@@ -19,6 +29,4 @@
 # Initialization
 #=============================================
-CONF_REF=$1; conf_ref_dir=${CONF_REF}_trust
-export CONF_REF
 
 . trusting.env
@@ -37,8 +45,9 @@
 # 
 #=============================================
-for rel in intel bullxmpi netcdf; do
+for rel in $compiler $mpi netcdf; do
     printf "Step......................\nGet $rel release\n" > mesg_03_step.txt
-    arch_rel=$( echo $LOADEDMODULES | sed "s/.*:$rel\/\([^:]*\).*/\1/" )
-    [ $? -ne 0 ] && getout
+    arch_rel=$( echo $LOADEDMODULES | sed "s#.*:$rel/\([^:]*\).*#\1#" )
+    [ -z "${arch_rel}" ] && arch_rel=$( echo $PATH | sed "s#.*$rel/\([^/]*\).*#\1#" )
+    [[ $rel == $compiler && -z "$FC" ]] && arch_rel=$FC
     echo $rel ${arch_rel} >> model.log
 done
@@ -62,9 +71,9 @@
 
 #---------------------------------------------
-#printf "Step......................\nCompilation NEMO configuration %s\n" ${CONF_REF} > mesg_03_step.txt
-#cd ${NEMO_CONF}
-#./makenemo -n ${conf_ref_dir} clean
-#./makenemo -n ${conf_ref_dir} -r ${CONF_REF} -m X64_CURIE_trust -j 16 #> /dev/null 2>&1
-#[ ! -e ${conf_ref_dir}/BLD/bin/nemo.exe ] && getout
+printf "Step......................\nCompilation NEMO configuration %s\n" ${CONF_REF} > mesg_03_step.txt
+cd ${NEMO_CONF}
+./makenemo -n ${CONF_TEST} clean
+./makenemo -n ${CONF_TEST} -r ${CONF_REFE} -m $ARCH -j 16 #> /dev/null 2>&1
+[ ! -e ${CONF_TEST}/BLD/bin/nemo.exe ] && getout
 
 
@@ -72,5 +81,5 @@
 printf "Step......................\nPreparing job\n" > mesg_03_step.txt
 cd ${DIR_TEST}
-find ${NEMO_CONF}/${conf_ref_dir}/EXP00 -regex '.*\(cfg\|opa\|ref\|xml\)' -exec cp {} . \;
+find ${NEMO_CONF}/${CONF_TEST}/EXP00 -regex '.*\(cfg\|opa\|ref\|xml\)' -exec cp {} . \;
 cp ${NEMO_FORC}/${FORC_TAR} . && tar -tvf ${FORC_TAR} > inputs_list.txt && tar -vxf ${FORC_TAR}
 [ $? -ne 0 ] && getout